Bug 17137 - Omnibus: Always use SSL when referencing external sources
Summary: Omnibus: Always use SSL when referencing external sources
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 11358 14523 14571 15518 16175 16615 20497 21094
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-17 08:32 UTC by Katrin Fischer
Modified: 2019-10-14 19:58 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2016-08-17 08:32:05 UTC
Amazon, OpenLibrary, etc shoudl all use https if available as otherwise they create a mixed content error for sites using https.
Comment 1 David Cook 2018-06-07 04:00:30 UTC
(In reply to Katrin Fischer from comment #0)
> Amazon, OpenLibrary, etc shoudl all use https if available as otherwise they
> create a mixed content error for sites using https.

Agreed. And after looking at past bugs, I don't know why we've switched between http/https for external resources depending on whether or not Koha was on https. Since they're external resources, there really is no harm in just using HTTPS all the time.
Comment 2 Owen Leonard 2018-06-25 14:38:25 UTC
All dependent bugs are marked fixed, so I think this bug is ready to be closed.
Comment 3 Owen Leonard 2018-07-23 14:30:22 UTC
Reopened to include Bug 21094
Comment 4 David Cook 2018-09-25 04:42:56 UTC
(In reply to Owen Leonard from comment #3)
> Reopened to include Bug 21094

I think we could re-close this one now?